2019-08-24 00:19 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005269Spring engineGeneralpublic2016-06-28 19:03
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005269: upright=false units are tilted during non=factory construction
DescriptionUnits with upright=false (the default) are placed with their z+,x+ (South-East) corner in the air. This tilt does not depend on the rotation of their construction, it is always the x+,z+ corner. Also, the tilt does not depend on terrain. The unit is affected, not just the nanoframe visuals, because their hitvolume also appears tilted.

Construction from factories is unaffected.
Additional Informationhttps://github.com/ZeroK-RTS/Zero-K/issues/1426
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016457

hokomoko (developer)

Fix 0216888b5410f061716a7d6b7e6b2205dc41a8cd committed to develop branch: Fix 0005269, repo: spring changeset id: 7158
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-06-07 06:10 Google_Frog New Issue
2016-06-07 06:10 Google_Frog File Added: screen00263.jpg
2016-06-28 19:03 hokomoko Changeset attached => spring develop 0216888b
2016-06-28 19:03 hokomoko Note Added: 0016457
2016-06-28 19:03 hokomoko Assigned To => hokomoko
2016-06-28 19:03 hokomoko Status new => resolved
2016-06-28 19:03 hokomoko Resolution open => fixed
+Issue History